#!/bin/sh
# Script to help you upgrade your /etc directory.
# Run this script from your new /etc directory.  (i.e. /altroot/etc)
# This script is in the public domain.
# 	-erh
if [ ! -n $SHELL ] ; then
    SHELL=/bin/sh
fi
for f in * ; do
    echo "**** $f ****"
    if [ -e /etc/$f ] ; then
	if ! diff -q $f /etc/$f ; then
	    diff -ud $f /etc/$f | more
	    echo "*** $f *** shell"
	    # it's different, fix it:
	    $SHELL
	else
	    echo "$f ok"
	fi
    else
	echo $f >> /tmp/nonex
	echo $f not in /etc
    fi
    echo --- $f done ---
done
